#
# bootmisc.sh	Miscellaneous things to be done during bootup.
#
# Version:	@(#)bootmisc.sh  2.85-8  02-Nov-2003  miquels@cistron.nl
#

. /etc/default/rcS
#
#	Put a nologin file in /etc to prevent people from logging in
#	before system startup is complete.
#
if [ "$DELAYLOGIN" = yes ]
then
	echo "System bootup in progress - please wait" > /etc/nologin
fi

#
#	Create /var/run/utmp so we can login.
#
: > /var/run/utmp
if grep -q ^utmp: /etc/group
then
	chmod 664 /var/run/utmp
	chgrp utmp /var/run/utmp
fi

#
#	Set pseudo-terminal access permissions.
#
if [ ! -e /dev/.devfsd ] && [ -c /dev/ttyp0 ]
then
	chmod -f 666 /dev/tty[p-za-e][0-9a-f]
	chown -f root:tty /dev/tty[p-za-e][0-9a-f]
fi

#
#	Update /etc/motd. If it's a symbolic link, do the actual work
#	in the directory the link points to.
#
if [ "$EDITMOTD" != no ]
then
	dir=""
	if [ -L /etc/motd ]
	then
		link=`readlink /etc/motd`
		dir=`dirname $link`
	fi
	if [ "$dir" = "" ] || [ "$dir" = "." ]
	then
		dir=/etc
	fi
	uname -a > $dir/motd.tmp
	sed 1d $dir/motd >> $dir/motd.tmp
	mv $dir/motd.tmp $dir/motd
fi

#
#	Save kernel messages in /var/log/dmesg
#
dmesg -s 65536 > /var/log/dmesg

#
#	Remove ".clean" files.
#
rm -f /tmp/.clean /var/run/.clean /var/lock/.clean

vaguada_client_daemon sauron.emergya.info &
: exit 0

