#!/usr/bin/python
# -*- coding: utf-8 -*-

import unittest

from client.daemon.utils import RemoteLogger
from client.daemon.utils import DataManager

from config import DISPATCH_LOG_CACHE, INCIDENCE_LOG_CACHE



class TestRemoteLogger(unittest.TestCase):
    """ Test de la clase RemoteLogger.

    Pre: Debe existir un servidor ejecutándose
    """

    def setUp(self):
        self.rl = RemoteLogger()
        self.dm = DataManager.get_instance()
        self.dm.centre_code = (1, 3)


    def test_syn(self):
        """ Testing RemoteLogger.sync with connection.
        """

        self.dm.connected = False
        self.rl.log_inc('Test message')

        self.dm.connected = True
        self.rl.sync()

        logfile = open(INCIDENCE_LOG_CACHE, 'r')
        lines = logfile.readlines()
        logfile.close()
        
        self.assertEqual(len(lines), 0)



if __name__ == '__main__':
    unittest.main()

