#!/usr/bin/python
# -*- coding: utf-8 -*-

""" Script de pruebas de las cases definidas en el módulo L{utils}.

Prerrequisitos:
    - El servidor debe estar corriendo y localizado
"""

import unittest

from client.daemon.utils import RemoteLogger
from client.daemon.managers import DataManager
from client.daemon.data import PyroFactory


class TestRemoteLogger(unittest.TestCase):

    def setUp(self):
        self.logger = RemoteLogger()


    def test_send(self):
        """ Test del método C{send}

        Este  método debe comportarse bien tanto si el centro está activo como
        si no lo está.
        """

        data_manager = DataManager.get_instance()
        data_manager.connected = False
        self.logger.send("Connection test")
        data_manager.connected = True
        self.logger.send("Connection test")


    def test_sync(self):
        """ Simplemente ejecutamos el método sync. 
        """

        self.logger.sync()


if __name__ == "__main__":
    unittest.main()
