#!/usr/bin/python
# -*- coding: utf-8 -*-

''' I{Stub} que simula un centro Guadalinfo (cliente de I{Vaguada}).

    La sintaxis es::
        vaguada_client_daemon.py <ip_servidor>
    donde C{ip_servidor} es una dirección IP válida o un nombre de computador válido.

    Ejemplo::
        vaguada_client_daemon.py vaguada-server '''

from sys               import argv, stderr, exit

from client.daemon.app import App

if '__main__' == __name__:

    if 2 == len (argv):
        server = argv [1].strip ()

        if '' != server:
            app = App (server)
            app.initialize ()
        else:
            stderr.write ('%s: ERROR: el servidor no es válido!\n' % argv [0])
            exit (2)

    else:
        stderr.write ('%s: ERROR: número incorrecto de parámetros!\n' % argv [0])
        exit (2)

# EOF

